> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/analyticschartdata.md).

# analyticsChartData

**Scope required:** standard:read

For a complete list of possible response fields see the [AnalyticsChartData](/developer/api-reference/types/analyticschartdata.md) type.

```graphql
query analyticsChartData ($dataSource: String, $measures: [AnalyticsMeasureInput!], $dimension: String, $secondDimension: String, $dateRange: String, $entityId: ID, $startDate: String, $endDate: String, $accountId: ID, $fieldFilterKey: String, $fieldFilterValue: String, $fiscalYear: String, $fiscalMonth: String, $fiscalQuarter: String, $includeCurrentMonth: Boolean, $labelIdField: String) {
  analyticsChartData (dataSource: $dataSource, measures: $measures, dimension: $dimension, secondDimension: $secondDimension, dateRange: $dateRange, entityId: $entityId, startDate: $startDate, endDate: $endDate, accountId: $accountId, fieldFilterKey: $fieldFilterKey, fieldFilterValue: $fieldFilterValue, fiscalYear: $fiscalYear, fiscalMonth: $fiscalMonth, fiscalQuarter: $fiscalQuarter, includeCurrentMonth: $includeCurrentMonth, labelIdField: $labelIdField) {
    currencyId
  }
}
```

## Arguments

| Name                | Type                                                                                    | Description                                                     |
| ------------------- | --------------------------------------------------------------------------------------- | --------------------------------------------------------------- |
| dataSource          | String                                                                                  | Data source key                                                 |
| measures            | List ([AnalyticsMeasureInput](/developer/api-reference/types/analyticsmeasureinput.md)) | Aggregations to compute                                         |
| dimension           | String                                                                                  | Group-by field, or "none" for ungrouped aggregate               |
| secondDimension     | String                                                                                  | Second group-by; produces one series per value (pivot)          |
| dateRange           | String                                                                                  | Date range preset                                               |
| entityId            | ID                                                                                      | Entity ID to scope data                                         |
| startDate           | String                                                                                  | Custom range start date (ISO 8601)                              |
| endDate             | String                                                                                  | Custom range end date (ISO 8601)                                |
| accountId           | ID                                                                                      | Account ID to scope data                                        |
| fieldFilterKey      | String                                                                                  | Field name to filter on                                         |
| fieldFilterValue    | String                                                                                  | Value to filter the field by                                    |
| fiscalYear          | String                                                                                  | Fiscal year to filter by                                        |
| fiscalMonth         | String                                                                                  |                                                                 |
| fiscalQuarter       | String                                                                                  | Fiscal quarter to filter by                                     |
| includeCurrentMonth | Boolean                                                                                 | Include the current (partial) month in last-N-months ranges     |
| labelIdField        | String                                                                                  | Field key whose value is returned as label\_ids (one per label) |

## Response

* [AnalyticsChartData](/developer/api-reference/types/analyticschartdata.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/analyticschartdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
